Could not enable visual effects

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Sep 2006

Could not enable visual effects

Har precis lyckats installera Ubuntu 7.10 på en polares dator genom USB-sticka. Allt funkar prima men när jag ska aktivera visuella effekter funderar den en stund och sedan får jag upp meddelandet "Could not enable visual effects". Detta oavsett om jag väljer "Normala", "Extra" eller "Anpassade" (har installerat compizconfig. Vad är fel? Kan det vara att effekterna inte stöds av grafikkretsen (datorn är en Dell Optiplex 260) eller är det något som går att åtgärda?

Failure is not an option. It comes bundled with your windows installation.
AMD Phenom2 X4 965 | Gigabyte GA-MA790FXT-UD5P | 4GB Corsair XMS3-12800DHX | XFX HD5870 | Asus XONAR D2 | 80GB Intel X25-M | 1TB Western Digital Caviar Green

Trädvy Permalänk
Inaktiv
Registrerad
Mar 2006

Du behöver ha XGL eller AIGLX. XGL funkar skit tycker jag, AIGLX finns inkluderat i ati's nya drivare. Nån mer kunnig kanske kan utveckla. Bra tråd för övrigt, känns som ett vanligt problem.

Trädvy Permalänk
Medlem
Registrerad
Jul 2001

Jag har samma problem på min Laptop med:

ATI Radeon Xpress 200M

...sunkigt grafikkort...

Har varit på detta forum på tok för länge...

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Sep 2006

Ligger inte XGL i Ubuntu 7.10 från början? Behöver jag något speciellt till just den här grafikkretsen eller är det bara att ta ner vilket som?

EDIT: Har nu installerat XGL men får fortfarande samma felmeddelande!

Failure is not an option. It comes bundled with your windows installation.
AMD Phenom2 X4 965 | Gigabyte GA-MA790FXT-UD5P | 4GB Corsair XMS3-12800DHX | XFX HD5870 | Asus XONAR D2 | 80GB Intel X25-M | 1TB Western Digital Caviar Green

Trädvy Permalänk
Inaktiv
Registrerad
Mar 2006
Citat:

Ursprungligen inskrivet av MrPasty
Ligger inte XGL i Ubuntu 7.10 från början? Behöver jag något speciellt till just den här grafikkretsen eller är det bara att ta ner vilket som?

EDIT: Har nu installerat XGL men får fortfarande samma felmeddelande!

hm....har för mig att det är nåt man ska göra=) kommer inte på vad. Kolla i /etc/X11/xorg.conf, om det finns en rad som heter Composite Extension, under Devices, kolla att den står på 1 och inte 0. Men man ska få ett annat felmeddelande om det är det som är felet....säkert att XGL är enablat? (vet dock inte hur man kollar det, lämnar det också till någon mer kunnig)

Trädvy Permalänk
Medlem
Plats
Göteborg
Registrerad
Jul 2007

Se även till att du har valt "fgrlx" som drivrutin, ihop med att du har installerat XGL. fgrlx kan enklast ställas in genom att köra; "sudo dpkg-reconfigure xserver-xorg", det är rätt många val där som du kan ignorera, det viktigaste vore väll just drivrutinen och upplösningen.

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Sep 2006

Men fglrx är väl bara om man har ett ATI-grafikkort?

Failure is not an option. It comes bundled with your windows installation.
AMD Phenom2 X4 965 | Gigabyte GA-MA790FXT-UD5P | 4GB Corsair XMS3-12800DHX | XFX HD5870 | Asus XONAR D2 | 80GB Intel X25-M | 1TB Western Digital Caviar Green

Trädvy Permalänk
Inaktiv
Registrerad
Mar 2006
Citat:

Ursprungligen inskrivet av MrPasty
Men fglrx är väl bara om man har ett ATI-grafikkort?

Ja.

Trädvy Permalänk
Medlem
Plats
Stockholm, Täby
Registrerad
Jul 2001

Kör man fglrx så måste man oftast lägga till drivaren under whitelist i /usr/bin/compiz. Alltså, öppna /usr/bin/compiz med t.ex. nano, sök upp "WHITELIST" och lägg till "fglrx" till den strängen.

Trädvy Permalänk
Medlem
Plats
at home
Registrerad
Nov 2007

Lite mer om detta för att problemet är att ett antal kort är svartlistade av olika skäl.

Något kryptiska meddelandet i Ubuntus forum av en utvecklare
http://ubuntuforums.org/showthread.php?t=582112

Hursomhelst så häver det här kommandot en svartlisting

mkdir -p ~/.config/compiz/ && echo SKIP_CHECKS=yes >> ~/.config/compiz/compiz-manager

Enklast kopiera/klistra in i terminalen från Uf-tråden.

Problemet är att med just ATI så kan det bli totalt okörbart, Intel är det inga problem med. nVidia klockrent med senaste drivarna 169.12

Steg 1 med ATI är att fundera vilken drivare man kör.

ASUS K56CB i7, W10.
HTC 10 ICE InsertCoin SVN, Nougat
ASUS Transformer Prime 32GB, Nougat :)
Ubiquiti Edge Lite, UniFi AP-AC-Lite (AP) samt ASUS AC68U och N66U (AP), fiber 250/100Mbit/s.
Mitt nätverk: http://imgur.com/VYJjrzL Bild https://imgur.com/a/njFUnlC